KDE 4.2 PyKDE API Reference

- KDE's Python API

# SeekSlider Class Reference

`from PyKDE4.phonon import *`

Inherits: QWidget → QObject
Namespace: Phonon

## Detailed Description

\class SeekSlider seekslider.h Phonon/SeekSlider Widget providing a slider for seeking in MediaObject objects.

Author:
  Matthias Kretz <kretz@kde.org>

## Methods

| __init__ (self, QWidget parent=0)
| __init__ (self, Phonon.MediaObject media, QWidget parent=0)
bool | hasTracking (self)
QSize | iconSize (self)
bool | isIconVisible (self)
Phonon.MediaObject | mediaObject (self)
Qt.Orientation | orientation (self)
int | pageStep (self)
| setIconSize (self, QSize size)
| setIconVisible (self, bool a0)
| setMediaObject (self, Phonon.MediaObject a0)
| setOrientation (self, Qt.Orientation a0)
| setPageStep (self, int milliseconds)
| setSingleStep (self, int milliseconds)
| setTracking (self, bool tracking)
int | singleStep (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructs a seek slider widget with the given parent.

__init__ | ( | self, |
|  | Phonon.MediaObject | media,
|  | QWidget | parent=0
| ) |  |  |

bool hasTracking | ( |  | self ) |

QSize iconSize | ( |  | self ) |

bool isIconVisible | ( |  | self ) |

Phonon.MediaObject mediaObject | ( |  | self ) |

Qt.Orientation orientation | ( |  | self ) |

int pageStep | ( |  | self ) |

setIconSize | ( | self, |
|  | QSize | size
| ) |  |  |

setIconVisible | ( | self, |
|  | bool | a0
| ) |  |  |

setMediaObject | ( | self, |
|  | Phonon.MediaObject | a0
| ) |  |  |

Sets the media object to be controlled by this slider.

setOrientation | ( | self, |
|  | Qt.Orientation | a0
| ) |  |  |

setPageStep | ( | self, |
|  | int | milliseconds
| ) |  |  |

setSingleStep | ( | self, |
|  | int | milliseconds
| ) |  |  |

setTracking | ( | self, |
|  | bool | tracking
| ) |  |  |

int singleStep | ( |  | self ) |